	PROGRAM ASCII
C************************************************************************
C* ASCII								*
C*									*
C* This program will convert an ASCII data file to a GEMPAK grid file.	*
C*									*
C**									*
C* Log:									*
C* S. Jacobs/SSAI	 1/92						*
C************************************************************************
	INCLUDE 	'DGCMN.CMN'
C*
	CHARACTER	gdfile*72, infile*72,
     +			buffer*80, carr(3)*48,
     +			gdattm*48, glevel*24, parm*4,
     +			proj*4, time(2)*20, gpack*24,
     +			strkx*5, frmt1*13
C*
	REAL		grid(LLMXGD), gltln(4), angle(3), rarr(3)
C*
	INTEGER		level(2), ighdr2(10)
C*
	LOGICAL		done
C*
        DATA            ighdr2 / 10 * 0 /
C------------------------------------------------------------------------
	done = .false.
C
C*	Get both filenames.
C
	print*,'Before ASC_INTRO'
	CALL ASC_INTRO ( gdfile, infile, iret )
C
C*	If there is an error, STOP the program.
C
	IF  ( iret .ne. 0 )  THEN
	    STOP
	END IF
C
C*	Open the files.
C
	print*,'Before ASC_SETUP'
	CALL ASC_SETUP ( gdfile, infile, igdfln, lun, iret )
	IF  ( iret .ne. 0 )  THEN
	    CALL ASC_CLOSE ( igdfln, lun, iret )
	    STOP
	END IF
C
C*	Check the grid header info.
C
	print*,'Before ASC_CHECK'
	CALL ASC_CHECK ( gdfile, igdfln, lun, proj, kx, ky, gltln,
     +			 angle, iret )
	IF  ( iret .ne. 0 )  THEN
	    CALL ASC_CLOSE ( igdfln, lun, iret )
	    STOP
	END IF
	CALL GSMPRJ ( proj, angle(1), angle(2), angle(3),
     +		      gltln(1), gltln(1), gltln(1), gltln(1), ier )
C
C*	Get the grid packing info and vert coord.
C
	print*,'Before ASC_VCRD'
	CALL ASC_VCRD ( gpack, ivcord, iret )
	IF  ( iret .ne. 0 )  THEN
	    CALL ASC_CLOSE ( igdfln, lun, iret )
	    STOP
	END IF
C
C*	Set grid packing info.
C
	CALL GR_PACK ( gpack, ipktyp, nbits, iret )
C
C*	Read data.
C
	CALL ST_INCH ( kx, strkx, ier )
	CALL ST_LSTR ( strkx, lenst, ier )
	frmt1 = '(' // strkx(:lenst) // '( F9.2 )' // ')'
C
C*	Initialize the grid
C
	DO  i = 1, kx*ky
	    grid (i) = RMISSD
	END DO
C
C*	Read header.
C
	READ ( lun, 2, IOSTAT = iostat ) buffer
2	FORMAT ( A )
C
	IF  ( iostat .eq. 0 )  THEN
C
C*	    Parse the header information.
C
	    CALL ST_CLST ( buffer, ' ', ' ', 3, carr, num, ier )
	    CALL ST_LCUC ( carr(1), gdattm, ier )
	    CALL ST_LCUC ( carr(2), glevel, ier )
	    CALL ST_LCUC ( carr(3), parm, ier )
C
C*	    Convert header date/time and level to GEMPAK format.
C
	    time(1) = gdattm
	    time(2) = ' '
	    CALL ST_CRNM ( glevel, rlvl, ier )
	    level(1) = rlvl
	    level(2) = -1
C
C*	    Read data from data file.
C
	    iostat = 0
	    DO WHILE  ( iostat .eq. 0 )
		READ ( lun, 2, IOSTAT = iostat ) buffer
		IF  ( iostat .eq. 0 )  THEN
		    CALL ST_RLST ( buffer, ' ', RMISSD, 3,
     +				   rarr, num, ier )
		    CALL GTRANS ( 'M', 'G', 1, rarr(1), rarr(2),
     +				  gx, gy, ierr )
		    IF  ( ierr .eq. 0 )  THEN
			index = ( NINT(gy) - 1 ) * kx + NINT(gx)
			grid (index) = rarr (3)
		    END IF
		END IF
	    END DO
C
C*	    Write grid to GEMPAK grid file.
C
            ivcord=none
	    CALL GD_WPGD  ( igdfln, grid, kx, ky, ighdr2, time,
     +			    level, ivcord, parm, .true., ipktyp,
     +			    nbits, ier )
C
	END IF
C
	CALL ASC_CLOSE ( igdfln, lun, iret )
C*
	END
