#!/bin/ksh
#
# rcliper_run.ksh last modified 09/05/2001 
#                 M. DeMaria NOAA/NESDIS
#
# This script runs the rainfall cliper (rcliper) model
#
#Specify name of directory containing required scripts/executables
sdir="/home/akrautkr/programs/TRMM_rcliper/"
#sdir="/tpcprd/atcf_unix/prgms/"
#sdir="/user1/demaria/rainfall/rcliper/"
#
#Specify name of directory containing storm independent data files
ddir="/home/akrautkr/programs/TRMM_rcliper/data/"
#ddir="/tpcprd/atcf_unix/prgms/rcliper/data/"
#ddir="/user1/demaria/rainfall/rcliper/data/"
#
#Specify the name of the directory to get the computes files 
atcfdir="/home/akrautkr/programs/computes/";
#
#Specify name of directory to put rcliper text output
#tdir="/tpcprd/atcf_unix/rtext"
tdir="/data/jhtPrograms/TRMM_rcliper";
#tdir="/user1/demaria/rainfall/rcliper/rtext"
#
#Copy needed data files to current directory
cp $ddir"aland.dat" "aland.dat"
#
# Remove the old log file and create a new one
rm -f rcliper_run.log
echo "Begin rcliper_run" > rcliper_run.log
date                    >> rcliper_run.log
echo "  "               >> rcliper_run.log
#
# Create the comab.dat file for the model run
rm -f comab.dat
cabname=${1}
cp $atcfdir$cabname comab.dat
echo "comab.dat file for model run: " >> rcliper_run.log
cat comab.dat                         >> rcliper_run.log
echo "  "                             >> rcliper_run.log
#
# Check to make sure comab.dat file is not empty
if [ ! -s comab.dat ]
then
   echo "comab.dat file is empty, halt rcliper processing." >> rcliper_run.log
   exit
fi
#
# Calculate rainfall
$sdir"rcliper.x"
#
echo "   "
echo " Log file from RCLIPER run " >> rcliper_run.log
cat rcliper.log                    >> rcliper_run.log
#
# Move text file
mv *rcliper.txt $tdir
#
# Clean up after model run
rm -f comab.dat
rm -f aland.dat
#
# un-comment this line to remove old packed data files
#find /tpcprd/atcf_unix/rtext/*rcliper.txt -mtime +2 -print -exec rm {} \;
#
echo "rcliper_run completed" >> rcliper_run.log
date                         >> rcliper_run.log
#
exit
#
